# UniTAP.dev.modules.dut_tests.dut_default_params.dp_source_dsc_tab

class Timing:

Class `Timing` describes available supported timings standard.

- CTA `cta` (enable/disable).
- RB1 `rb1` (enable/disable).
- RB2 `rb2` (enable/disable).
- Set all standards `set_all`.

Timing(timing_value)
cta: bool

Set and get CTA flag support.

###### Returns:

> object of bool type

rb1: bool

Set and get RB1 flag support.

###### Returns:

> object of bool type

rb2: bool

Set and get RB2 flag support.

###### Returns:

> object of bool type

def set_all(self):
def clear_all(self):
class ColorimetryDp14:

Class `ColorimetryDp14` describes optional and additional color modes to be used with DP CTS tests.

- RGB 8 bpc VESA `rgb_8bpc_vesa`.
- RGB 10 bpc VESA `rgb_10bpc_vesa`.
- RGB 12 bpc VESA `rgb_12bpc_vesa`.
- YCbCr-444 8 bpc CTA ITU-709 `ycbcr444_8bpc_cta_itu709`.
- YCbCr-444 10 bpc CTA ITU-709 `ycbcr444_10bpc_cta_itu709`.
- YCbCr-444 12 bpc CTA ITU-709 `ycbcr444_12bpc_cta_itu709`.
- YCbCr-422 8 bpc CTA ITU-709 `ycbcr422_8bpc_cta_itu709`.
- YCbCr-422 10 bpc CTA ITU-709 `ycbcr422_10bpc_cta_itu709`.
- YCbCr-422 12 bpc CTA ITU-709 `ycbcr422_10bpc_cta_itu709`.
- YCbCr-422 simple 8 bpc CTA ITU-709 `ycbcr422_simple_8bpc_cta_itu709`.
- YCbCr-422 simple 10 bpc CTA ITU-709 `ycbcr422_simple_10bpc_cta_itu709`.
- YCbCr-422 simple 12 bpc CTA ITU-709 `ycbcr422_simple_12bpc_cta_itu709`.
- YCbCr-420 8 bpc CTA ITU-709 `ycbcr420_8bpc_cta_itu709`.
- YCbCr-420 10 bpc CTA ITU-709 `ycbcr420_10bpc_cta_itu709`.
- YCbCr-420 12 bpc CTA ITU-709 `ycbcr420_12bpc_cta_itu709`.
- Clear all settings `clear_all`.
- Select all settings `select_all`.

ColorimetryDp14(json_obj)
def clear_all(self):

Clear all modes (disable).

def select_all(self):

Select all modes (enable).

rgb_8bpc_vesa

Set and get RGB 8 bpc VESA flag support.

###### Returns:

> object

rgb_10bpc_vesa

Set and get RGB 10 bpc VESA flag support.

###### Returns:

> object

rgb_12bpc_vesa

Set and get RGB 12 bpc VESA flag support.

###### Returns:

> object

ycbcr444_8bpc_cta_itu709

Set and get YCbCr-444 8 bpc CTA ITU-709 flag support.

###### Returns:

> object

ycbcr444_10bpc_cta_itu709

Set and get YCbCr-444 10 bpc CTA ITU-709 flag support.

###### Returns:

> object

ycbcr444_12bpc_cta_itu709

Set and get YCbCr-444 12 bpc CTA ITU-709 flag support.

###### Returns:

> object

ycbcr422_8bpc_cta_itu709

Set and get YCbCr-422 8 bpc CTA ITU-709 flag support.

###### Returns:

> object

ycbcr422_10bpc_cta_itu709

Set and get YCbCr-422 10 bpc CTA ITU-709 flag support.

###### Returns:

> object

ycbcr422_12bpc_cta_itu709

Set and get YCbCr-422 12 bpc CTA ITU-709 flag support.

###### Returns:

> object

ycbcr422_simple_8bpc_cta_itu709

Set and get YCbCr-422 Simple 8 bpc CTA ITU-709 flag support.

###### Returns:

> object

ycbcr422_simple_10bpc_cta_itu709

Set and get YCbCr-422 Simple 10 bpc CTA ITU-709 flag support.

###### Returns:

> object

ycbcr422_simple_12bpc_cta_itu709

Set and get YCbCr-422 Simple 12 bpc CTA ITU-709 flag support.

###### Returns:

> object

ycbcr420_8bpc_cta_itu709

Set and get YCbCr-420 8 bpc CTA ITU-709 flag support.

###### Returns:

> object

ycbcr420_10bpc_cta_itu709

Set and get YCbCr-420 10 bpc CTA ITU-709 flag support.

###### Returns:

> object

ycbcr420_12bpc_cta_itu709

Set and get YCbCr-420 12 bpc CTA ITU-709 flag support.

###### Returns:

> object

class DscVideoModesDp14:

Class `DscVideoModesDp14` describes available timings for DSC tests.

- 1920x1080 30Hz `vm_1920x1080_30hz`.
- 1920x1080 60Hz `vm_1920x1080_60hz`.
- 1920x1080 120Hz `vm_1920x1080_120hz`.
- 3840x2160 30Hz `vm_3840x2160_30hz`.
- 3840x2160 60Hz `vm_3840x2160_60hz`.
- 3840x2160 120Hz `vm_3840x2160_120hz`.
- 5120x2160 30Hz `vm_5120x2160_30hz`.
- 5120x2160 60Hz `vm_5120x2160_60hz`.
- 5120x2160 120Hz `vm_5120x2160_120hz`.
- 7680x4320 30Hz `vm_7680x4320_30hz`.
- 7680x4320 60Hz `vm_7680x4320_60hz`.
- 7680x4320 100Hz `vm_7680x4320_120hz`.
- Disable all timings `clear_all`.
- Select all timings `select_all`.

DscVideoModesDp14(json_obj)
vm_1920x1080_30hz: Timing

Set and get 1920x1080 30Hz timing flag support.

###### Returns:

> object of bool type

vm_1920x1080_60hz: Timing

Set and get 1920x1080 60Hz timing flag support.

###### Returns:

> object of bool type

vm_1920x1080_120hz: Timing

Set and get 1920x1080 120Hz timing flag support.

###### Returns:

> object of bool type

vm_3840x2160_30hz: Timing

Set and get 3840x2160 30Hz timing flag support.

###### Returns:

> object of bool type

vm_3840x2160_60hz: Timing

Set and get 3840x2160 60Hz timing flag support.

###### Returns:

> object of bool type

vm_3840x2160_120hz: Timing

Set and get 3840x2160 120Hz timing flag support.

###### Returns:

> object of bool type

vm_5120x2160_30hz: Timing

Set and get 5120x2160 30Hz timing flag support.

###### Returns:

> object of bool type

vm_5120x2160_60hz: Timing

Set and get 5120x2160 60Hz timing flag support.

###### Returns:

> object of bool type

vm_5120x2160_120hz: Timing

Set and get 5120x2160 120Hz timing flag support.

###### Returns:

> object of bool type

vm_7680x4320_30hz: Timing

Set and get 7680x4320 30Hz timing flag support.

###### Returns:

> object of bool type

vm_7680x4320_60hz: Timing

Set and get 7680x4320 60Hz timing flag support.

###### Returns:

> object of bool type

vm_7680x4320_100hz: Timing

Set and get 7680x4320 100Hz timing flag support.

###### Returns:

> object of bool type

def clear_all(self):

Clear (disable) all timings.

def select_all(self):

Select (enable) all timings.

class DscConfigDp14Tab:

Class `DscConfigDp14Tab` allows working with settings for DP DSC LLCTS tests.

- Set and get DSC maximum slice number `dsc_max_slice`.
- Set and get DSC version `dsc_version`.
- Set and get DSC video modes `dsc_video_modes` type `DscVideoModesDp14`.
- Set and get colorimetry `ColorimetryDp14`.

DscConfigDp14Tab(json_obj)
dsc_max_slice: int

Set and get DSC maximum slice number.

###### Returns:

> object of int type

dsc_version: list

Set and get DSC version.

###### Returns:

> object of list type

dsc_video_modes: DscVideoModesDp14

Set and get DSC video modes.

###### Returns:

> object of `DscVideoModesDp14` type

colorimetry: ColorimetryDp14

Set and get colorimetry.

###### Returns:

> object of `ColorimetryDp14` type